---
#
# Project Builder configuration file
# For project python-tortilla
#
# $Id$
#
#
# What is the project URL
#
pbprojurl:
#    python-tortilla: svn://svn.python-tortilla.org/python-tortilla/devel
#    python-tortilla: svn+ssh://user@svn.python-tortilla.org/python-tortilla/devel
  python-tortilla: git+https//github.com/tortilla/tortilla
#    python-tortilla: cvs://cvs.python-tortilla.org/python-tortilla/devel
#    python-tortilla: http://www.python-tortilla.org/src/python-tortilla-devel.tar.gz
#    python-tortilla: ftp://ftp.python-tortilla.org/src/python-tortilla-devel.tar.gz
#    python-tortilla: file:///src/python-tortilla-devel.tar.gz
#    python-tortilla: dir:///src/python-tortilla-devel
#
# Repository
pbrepo:
  python-tortilla: ftp://ftp.project-builder.org
#  pbml:
#    python-tortilla: python-tortilla-announce@lists.python-tortilla.org
# Do we check GPG keys
#  pbsmtp:
#    python-tortilla: localhost
pbgpgcheck:
  python-tortilla: 1
# For distro supporting it, which area is used
projcomponent:
  python-tortilla: main
#
# Check whether project is well formed 
# when downloading from ftp/http/...
# (containing already a directory with the project-version name)
#  pbwf:
#    python-tortilla: 1
#
# Packager label
#
pbpackager:
  python-tortilla: Bruno Cornec <bruno@project-builder.org>
#
#
# For delivery to a machine by SSH (potentially the FTP server)
# Needs hostname, account and directory
#
#  sshhost:
#    python-tortilla: www.python-tortilla.org
#  sshlogin:
#    python-tortilla: bill
#  sshdir:
#    python-tortilla: /python-tortilla/ftp
#  sshport:
#    python-tortilla: 22
#
#
# For Virtual machines management
# Naming convention to follow: distribution name (as per ProjectBuilder::Distribution)
# followed by '-' and by release number
# followed by '-' and by architecture
# a .vmtype extension will be added to the resulting string
# a QEMU rhel-3-i286 here means that the VM will be named rhel-3-i386.qemu
#
#  vmlist:
#    python-tortilla: asianux-2-i386,asianux-3-i386,centos-7-x86_64,mandrake-10.1-i386,mandrake-10.2-i386,mandriva-2006.0-i386,mandriva-2007.0-i386,mandriva-2007.1-i386,mandriva-2008.0-i386,mandriva-2008.1-i386,mandriva-2009.0-i386,mandriva-2009.1-i386,mandriva-2010.0-i386,mandriva-2010.1-i386,redhat-7.3-i386,redhat-9-i386,fedora-4-i386,fedora-5-i386,fedora-6-i386,fedora-7-i386,fedora-8-i386,fedora-9-i386,fedora-10-i386,fedora-11-i386,fedora-12-i386,fedora-13-i386,fedora-14-i386,fedora-15-i386,fedora-16-i386,fedora-17-i386,fedora-18-i386,fedora-19-i386,fedora-20-i386,fedora-21-i386,rhel-2-i386,rhel-3-i386,rhel-4-i386,rhel-5-i386,rhel-6-i386,suse-10.0-i386,suse-10.1-i386,opensuse-10.2-i386,opensuse-10.3-i386,opensuse-11.0-i386,opensuse-11.1-i386,opensuse-11.2-i386,opensuse-11.3-i386,opensuse-11.4-i386,opensuse-12.1-i386,opensuse-12.2-i386,opensuse-12.3-i386,opensuse-13.1-i386,opensuse-13.2-i386,sles-9-i386,sles-10-i386,sles-11-i386,gentoo-nover-i386,debian-3-i386,debian-4-i386,debian-5-i386,debian-6-i386,debian-7-i386,debian-8-i386,ubuntu-6.06-i386,ubuntu-7.04-i386,ubuntu-7.10-i386,ubuntu-8.04-i386,ubuntu-8.10-i386,ubuntu-9.04-i386,ubuntu-9.10-i386,ubuntu-10.04-i386,ubuntu-10.10-i386,ubuntu-11.04-i386,ubuntu-11.10-i386,ubuntu-12.04-i386,ubuntu-12.10-i386,ubuntu-13.04-i386,ubuntu-13.10-i386,ubuntu-14.04-i386,ubuntu-14.10-i386,ubuntu-15.04-i386,ubuntu-15.10-i386,ubuntu-16.04-i386,solaris-10-i386,asianux-2-x86_64,asianux-3-x86_64,mandriva-2007.0-x86_64,mandriva-2007.1-x86_64,mandriva-2008.0-x86_64,mandriva-2008.1-x86_64,mandriva-2009.0-x86_64,mandriva-2009.1-x86_64,mandriva-2010.0-x86_64,mandriva-2010.1-x86_64,mageia-1-i386,mageia-2-i386,mageia-3-i386,mageia-4-i386,mageia-5-i386,mageia-1-x86_64,mageia-2-x86_64,mageia-3-x86_64,mageia-4-x86_64,mageia-5-x86_64,fedora-6-x86_64,fedora-7-x86_64,fedora-8-x86_64,fedora-9-x86_64,fedora-10-x86_64,fedora-11-x86_64,fedora-12-x86_64,fedora-13-x86_64,fedora-14-x86_64,fedora-15-x86_64,fedora-16-x86_64,fedora-17-x86_64,fedora-18-x86_64,fedora-19-x86_64,fedora-20-x86_64,fedora-21-x86_64,fedora-22-x86_64,fedora-23-x86_64,rhel-3-x86_64,rhel-4-x86_64,rhel-5-x86_64,rhel-6-x86_64,rhel-7-x86_64,opensuse-10.2-x86_64,opensuse-10.3-x86_64,opensuse-11.0-x86_64,opensuse-11.1-x86_64,opensuse-11.2-x86_64,opensuse-11.3-x86_64,opensuse-11.4-x86_64,opensuse-12.1-x86_64,opensuse-12.2-x86_64,opensuse-12.3-x86_64,opensuse-13.1-x86_64,opensuse-13.2-x86_64,sles-10-x86_64,sles-11-x86_64,sles-12-x86_64,gentoo-nover-x86_64,debian-4-x86_64,debian-5-x86_64,debian-6-x86_64,debian-7-x86_64,debian-8-x86_64,ubuntu-7.04-x86_64,ubuntu-7.10-x86_64,ubuntu-8.04-x86_64,ubuntu-8.10-x86_64,ubuntu-9.04-x86_64,ubuntu-9.10-x86_64,ubuntu-10.04-x86_64,ubuntu-10.10-x86_64,ubuntu-11.04-x86_64,ubuntu-11.10-x86_64,ubuntu-12.04-x86_64,ubuntu-12.10-x86_64,ubuntu-13.04-x86_64,ubuntu-13.10-x86_64,ubuntu-14.04-x86_64,ubuntu-14.10-x86_64,ubuntu-15.04-x86_64,ubuntu-15.10-x86_64,ubuntu-16.04-x86_64
#
#
# Valid values for vmtype are
# qemu, (vmware, xen, ... TBD)
#  vmtype:
#    python-tortilla: qemu
#
# Hash for VM stuff on vmtype
#  vmntp:
#    default: pool.ntp.org
#
# We suppose we can commmunicate with the VM through SSH
#  vmhost:
#    python-tortilla: localhost
#  vmlogin:
#    python-tortilla: pb
#  vmport:
#    python-tortilla: 2222
#
# Timeout to wait when VM is launched/stopped
#  vmtmout:
#    default: 120
#
# per VMs needed paramaters
#  vmopt:
#    python-tortilla: -m 384 -daemonize
#  vmpath:
#    python-tortilla: /home/qemu
#  vmsize:
#    python-tortilla: 5G
#
# 
# For Virtual environment management
# Naming convention to follow: distribution name (as per ProjectBuilder::Distribution)
# followed by '-' and by release number
# followed by '-' and by architecture
# a .vetype extension will be added to the resulting string
# a chroot rhel-3-i286 here means that the VE will be named rhel-3-i386.chroot
#
velist:
  python-tortilla: centos-6-x86_64,centos-7-x86_64,debian-8-x86_64,debian-9-x86_64,ubuntu-12.04-x86_64,ubuntu-14.04-x86_64,ubuntu-16.04-x86_64,ubuntu-17.10-x86_64,ubuntu-18.04-x86_64,ubuntu-18.10-x86_64,ubuntu-19.04-x86_64,mageia-6-x86_64,mageia-6-x86_64,fedora-22-x86_64,fedora-23-x86_64,fedora-24-x86_64,fedora-25-x86_64,fedora-26-x86_64,fedora-27-x86_64,fedora-28-x86_64,fedora-29-x86_64,fedora-30-x86_64,opensuse-42.1-x86_64,opensuse-42.2-x86_64,opensuse-42.3-x86_64,opensuse-13.2-x86_64,opensuse-15.0-x86_64,opensuse-15.1-x86_64,gentoo-nover-x86_64,alpine-nover-x86_64
#
# VE params
#  vetype:
#    python-tortilla: docker
#  ventp:
#    default: pool.ntp.org
#  velogin:
#    python-tortilla: pb
#  vepath:
#    python-tortilla: /var/cache/rpmbootstrap
#  rbsconf:
#    python-tortilla: /etc/mock
#  verebuild:
#    python-tortilla: false
#
#
# Global version/tag for the project
#
projver:
  python-tortilla: 0.5.0
projtag:
  python-tortilla: 1
#
# Hash of valid version names
version:
  python-tortilla: devel
#
# Is it a test version or a production version
testver:
  python-tortilla: false
# Which upper target dir for delivery
delivery:
  python-tortilla: !!str ""
#
# Additional repository to add at build time
addrepo:
#    centos-5-x86_64: http://packages.sw.be/rpmforge-release/rpmforge-release-0.3.6-1.el5.rf.x86_64.rpm,ftp://ftp.project-builder.org/centos/5/pb.repo
#    centos-4-x86_64: http://packages.sw.be/rpmforge-release/rpmforge-release-0.3.6-1.el4.rf.x86_64.rpm,ftp://ftp.project-builder.org/centos/4/pb.repo
  ubuntu-12.04-x86_64: ftp://ftp.project-builder.org/ubuntu/12.04/python-formats.sources.list
  ubuntu-18.04-x86_64: ftp://ftp.project-builder.org/ubuntu/18.04/python-formats.sources.list
#
# Adapt to your needs:
# Optional if you need to overwrite the global values above
#
#  pkgver:
#    python-tortilla : stable
#  pkgtag:
#    python-tortilla : 3
# Hash of default package/package directory
defpkgdir:
  python-tortilla: .
# Hash of additional package/package directory
#  extpkgdir:
#    minor-pkg: dir-minor-pkg
#
# List of files per pkg on which to apply filters
# Files are mentioned relatively to pbroot/defpkgdir
#  filteredfiles:
#    python-tortilla: Makefile.PL,configure.in,install.sh,python-tortilla.8
#  supfiles:
#    python-tortilla: python-tortilla.init

# For perl modules, names are different depending on distro
# Here perl-xxx for RPMs, libxxx-perl for debs, ...
# So the package name is indeed virtual
#namingtype:
#python-tortilla: python
